// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const { ccclass, property } = cc._decorator;

@ccclass
export default class netscale extends cc.Component {
    @property
    firstUp: boolean = true;

    // LIFE-CYCLE CALLBACKS:

    onLoad() {
        let scale = 0.05;
        if (this.firstUp) {
            cc.tween(this.node).repeatForever(
                cc.tween()
                    .to(10, { scale: 1 - scale })
                    .to(10, { scale: 1 })
                    .to(10, { scale: 1 + scale })
                    .to(10, { scale: 1 })
            ).start();
        } else {
            cc.tween(this.node).repeatForever(
                cc.tween()
                    .to(10, { scale: 1 + scale })
                    .to(10, { scale: 1 })
                    .to(10, { scale: 1 - scale })
                    .to(10, { scale: 1.00 })
            ).start();
        }
    }

    start() {

    }

    // update (dt) {}
}
